.PHONY: all
.PHONY: debug

all:
	del temp\*.o, temp\*.ppu
	fpc music.dpr -FU".\temp"
	upx music.dll
	cp music.dll ..\release\music.dll

debug:
	del temp\*.o, temp\*.ppu
	fpc music.dpr -vb -Sd -O3 -gl -gh -FU".\temp"
	cp music.dll ..\release\music.dll
